/* style dla podstrony kategorii (archive.php) */

.archive-header {
    margin: 50px 0;
}
.archive-header #breadcrumbs {
    margin-bottom: 30px;
}
.archive-header h1 {
    font-size: 35px;
    font-weight: 700;
    text-transform: uppercase;
}
.archive-header .h2-decor {
    margin-bottom: 35px;
}
.archive-desc * {
    font-size: 14px;
}

.archive-top-row {
    margin-top: 50px;
    margin-bottom: 60px;
}
.archive-big-col {
    padding-right: 15px;
}
.archive-big {
    display: block;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: var(--border-radius);
    overflow: hidden;
}
.archive-big * {
    color: var(--secondary-text-color);
}
.archive-big-inner {
    height: inherit;
    background: linear-gradient(rgba(37, 37, 37, 0) 0%, var(--image-bottom-shadow-color) 70%);
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 20px;
}
.archive-big-inner .post-data {
    margin-bottom: 18px;
    font-weight: 500;
}
.archive-big-inner h3 {
    font-size: 35px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 18px;
}
.archive-big-inner .post-desc {
    font-size: 15px;
    font-weight: 300;
}
.archive-list-col {
    border-left: 1px solid var(--border-color);
    padding-left: 15px;
}

.archive-bottom-row {
    row-gap: 50px;
}
.archive-bottom-row-col {
    padding: 0 20px;
}
.archive-bottom-single {
    display: block;
}
.archive-bottom-single img {
    width: 100%;
    min-height: 210px;
    height: auto;
    border-radius: var(--border-radius);
}
.archive-bottom-single .post-data {
    margin-top: 10px;
    color: var(--lightgray-color);
}
.archive-bottom-single h2 {
    font-size: 20px;
    font-weight: 600;
    margin-top: 5px;
    text-transform: unset;
}

/*Tutaj zaczyna się CSS dla laptopów*/
@media only screen and (min-width: 993px) {
    
}

/*Tutaj zaczyna się CSS dla tabletów*/
@media only screen and (max-width: 992px) {
    .archive-header h1 {
        font-size: 30px;
    }
    .archive-big-inner h3 {
        font-size: 28px;
    }
}

/*Tutaj zaczyna się CSS dla komórek*/
@media only screen and (max-width: 767px) {
    .archive-header h1 {
        font-size: 22px;
    }
    .archive-big-inner h3 {
        font-size: 20px;
    }
    .archive-top-row {
        margin-bottom: 30px;
        row-gap: 30px;
    }
    .archive-list-col {
        border-left: unset;
        padding-left: 12px;
    }
    .archive-bottom-row {
        row-gap: 30px;
    }
    .archive-bottom-row-col {
        padding: 0 12px;
    }
}